%define extcmd awk cut echo egrep find head id ls netstat ps sed strings uname
%define short  chkrk


Summary:       A tool to locally check for rootkits
Name:          chkrootkit
Version:       0.49
Release:       1%{?dist}%{?pext}
License:       BSD
Group:         System Environment/Base
Source0:       ftp://ftp.pangeia.com.br/pub/seg/pac/%{name}-%{version}.tar.gz
Source1:       %{name}.cron
Patch0:        %{name}-0.48-static.patch
Patch1:        %{name}-0.49-paths.patch
URL:           http://www.%{name}.org/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Nelson Murilo <nelson@pangeia.com.br>
Requires:      binutils coreutils findutils
Requires:      gawk grep net-tools procps sed
Requires:      crontabs %{__install}


%description
Chkrootkit is a tool to locally check for signs of a rootkit. It consists
of a shell script and several tools that check system binaries for rootkit
modifications.


%prep
%setup -q
%patch0 -p1
%patch1 -p1


%build
%{__make} CFLAGS="${RPM_OPT_FLAGS} -DHAVE_LASTLOG_H" \
	sense %{?_smp_mflags}


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_bindir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libexecdir}/%{short}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_localstatedir}/lib/%{short}

%{__install} -m 0700 %{name}    ${RPM_BUILD_ROOT}%{_bindir}
%{__install} -m 0700 *-static   ${RPM_BUILD_ROOT}%{_libexecdir}/%{short}

%{__install} -m 0700 %{SOURCE1} ${RPM_BUILD_ROOT}%{_sysconfdir}/cron.daily/%{short}


%preun
if [ $1 -eq 0 ]; then	# Remove
  for CMD in %{extcmd}; do
    %{__rm} -f %{_localstatedir}/lib/%{short}/${CMD}
  done
fi


%triggerin -- binutils, %{_bindir}/strings
%{__install} -m 0700 -o root -g root %{_bindir}/strings %{_localstatedir}/lib/%{short}

%triggerin -- coreutils, /bin/cut, /bin/echo, /bin/ls, /bin/uname, %{_bindir}/head, %{_bindir}/id
%{__install} -m 0700 -o root -g root /bin/cut           %{_localstatedir}/lib/%{short}
%{__install} -m 0700 -o root -g root /bin/echo          %{_localstatedir}/lib/%{short}
%{__install} -m 0700 -o root -g root /bin/ls            %{_localstatedir}/lib/%{short}
%{__install} -m 0700 -o root -g root /bin/uname         %{_localstatedir}/lib/%{short}
%{__install} -m 0700 -o root -g root %{_bindir}/head    %{_localstatedir}/lib/%{short}
%{__install} -m 0700 -o root -g root %{_bindir}/id      %{_localstatedir}/lib/%{short}

%triggerin -- findutils, %{_bindir}/find
%{__install} -m 0700 -o root -g root %{_bindir}/find    %{_localstatedir}/lib/%{short}

%triggerin -- gawk, /bin/awk
%{__install} -m 0700 -o root -g root /bin/awk           %{_localstatedir}/lib/%{short}

%triggerin -- grep, /bin/egrep
%{__install} -m 0700 -o root -g root /bin/egrep         %{_localstatedir}/lib/%{short}

%triggerin -- net-tools, /bin/netstat
%{__install} -m 0700 -o root -g root /bin/netstat       %{_localstatedir}/lib/%{short}

%triggerin -- procps, /bin/ps
%{__install} -m 0700 -o root -g root /bin/ps            %{_localstatedir}/lib/%{short}

%triggerin -- sed, /bin/sed
%{__install} -m 0700 -o root -g root /bin/sed           %{_localstatedir}/lib/%{short}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc ACKNOWLEDGMENTS COPYRIGHT README*
%config(noreplace) %{_sysconfdir}/cron.daily/%{short}
%{_bindir}/%{name}
%attr(700,root,root) %dir %{_libexecdir}/%{short}
%{_libexecdir}/%{short}/*-static
%attr(700,root,root) %dir %{_localstatedir}/lib/%{short}


%changelog
* Thu Aug 06 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.49-1
- New version (0.49)

* Wed Jun 24 2009 Peter Pramberger <peterpramb@member.fsf.org> - 0.48-1
- New version (0.48)

* Tue Feb 27 2007 peter.pramberger@member.fsf.org 0.47-5
- fixed gawk post-install trigger

* Mon Feb 26 2007 peter.pramberger@member.fsf.org 0.47-4
- some spec file cleanups (x86_64 support)

* Mon Nov 13 2006 peter.pramberger@member.fsf.org
- new version (0.47)

* Fri Nov 18 2005 peter.pramberger@member.fsf.org
- created
